Kea: isc::flex_option::FlexOptionImpl::SubOptionConfig Class Reference

| Kea 3.2.0-git

isc::flex_option::FlexOptionImpl::SubOptionConfig Class Reference

Sub-option configuration. More...

`#include <flex_option.h>`

Inheritance diagram for isc::flex_option::FlexOptionImpl::SubOptionConfig:
[legend]

## Public Member Functions
| SubOptionConfig (uint16_t code, isc::dhcp::OptionDefinitionPtr def, OptionConfigPtr container)
| Constructor.
virtual | ~SubOptionConfig ()
| Destructor.
Action | getContainerAction () const
| Return action on the container.
const isc::dhcp::ClientClass & | getContainerClass () const
| Return container client class.
uint16_t | getContainerCode () const
| Return container code.
isc::dhcp::OptionDefinitionPtr | getContainerDef () const
| Return container definition.
uint32_t | getVendorId () const
| Return vendor id.
void | setContainerAction (Action action)
| Set action on the container.
void | setVendorId (uint32_t vendor_id)
| Set vendor id.
Public Member Functions inherited from isc::flex_option::FlexOptionImpl::OptionConfig
| OptionConfig (uint16_t code, isc::dhcp::OptionDefinitionPtr def)
| Constructor.
virtual | ~OptionConfig ()
| Destructor.
Action | getAction () const
| Return action.
const isc::dhcp::ClientClass & | getClass () const
| Get client class.
uint16_t | getCode () const
| Return option code.
const isc::dhcp::ExpressionPtr & | getExpr () const
| Get match expression.
isc::dhcp::OptionDefinitionPtr | getOptionDef () const
| Return option definition.
const std::string & | getText () const
| Get textual expression.
void | setAction (Action action)
| Set action.
void | setClass (const isc::dhcp::ClientClass &class_name)
| Set client class.
void | setExpr (const isc::dhcp::ExpressionPtr &expr)
| Set match expression.
void | setText (const std::string &text)
| Set textual expression.

## Detailed Description

Sub-option configuration.

Per sub-option configuration.

Definition at line 170 of file flex_option.h.

## Constructor & Destructor Documentation

## ◆ SubOptionConfig()

isc::flex_option::FlexOptionImpl::SubOptionConfig::SubOptionConfig | ( | uint16_t | code,
|  | isc::dhcp::OptionDefinitionPtr | def,
|  | OptionConfigPtr | container )

Constructor.

Parameters

  code | the sub-option code.
  def | the sub-option definition.
  container | pointer to the container option.

Definition at line 112 of file flex_option.cc.

References isc::flex_option::FlexOptionImpl::OptionConfig::OptionConfig(), isc_throw, and isc::flex_option::FlexOptionImpl::NONE.

Here is the call graph for this function:

## ◆ ~SubOptionConfig()

isc::flex_option::FlexOptionImpl::SubOptionConfig::~SubOptionConfig | ( |  | ) |
| virtual

Destructor.

Definition at line 122 of file flex_option.cc.

## Member Function Documentation

## ◆ getContainerAction()

Action isc::flex_option::FlexOptionImpl::SubOptionConfig::getContainerAction | ( |  | ) | const
| inline

Return action on the container.

Returns
  action on the container.

Definition at line 228 of file flex_option.h.

## ◆ getContainerClass()

const isc::dhcp::ClientClass & isc::flex_option::FlexOptionImpl::SubOptionConfig::getContainerClass | ( |  | ) | const
| inline

Return container client class.

Returns
  container client class name.

Definition at line 214 of file flex_option.h.

## ◆ getContainerCode()

uint16_t isc::flex_option::FlexOptionImpl::SubOptionConfig::getContainerCode | ( |  | ) | const
| inline

Return container code.

Returns
  container code.

Definition at line 200 of file flex_option.h.

## ◆ getContainerDef()

isc::dhcp::OptionDefinitionPtr isc::flex_option::FlexOptionImpl::SubOptionConfig::getContainerDef | ( |  | ) | const
| inline

Return container definition.

Returns
  container definition.

Definition at line 207 of file flex_option.h.

## ◆ getVendorId()

uint32_t isc::flex_option::FlexOptionImpl::SubOptionConfig::getVendorId | ( |  | ) | const
| inline

Return vendor id.

Returns
  vendor id.

Definition at line 193 of file flex_option.h.

## ◆ setContainerAction()

void isc::flex_option::FlexOptionImpl::SubOptionConfig::setContainerAction | ( | Action | action | ) |
| inline

Set action on the container.

Parameters

  action | the action.

Definition at line 221 of file flex_option.h.

## ◆ setVendorId()

void isc::flex_option::FlexOptionImpl::SubOptionConfig::setVendorId | ( | uint32_t | vendor_id | ) |
| inline

Set vendor id.

Parameters

  vendor_id | the vendor id.

Definition at line 186 of file flex_option.h.

The documentation for this class was generated from the following files:

- flex_option.h
- flex_option.cc